System.Web 2.0.0.0 System.Web.UI.Control System.Web.UI.IPostBackDataHandler

In this topic:

Introduction

Declarative Syntax

## Introduction

The control is used to store a value that needs to be persisted across posts to the server. It is rendered as an <input type= "hidden"/> element.

Normally view state, session state, and cookies are used to maintain the state of a Web Forms page. However, if these methods are disabled or are not available, you can use the control to store state values.

To specify the value for a control, use the property. You can provide a routine that gets called every time the value of the control changes between posts to the server by creating an event handler for the event.

## Declarative Syntax

`<asp:HiddenField EnableTheming="True|False" EnableViewState="True|False" ID="string" OnDataBinding="DataBinding event handler" OnDisposed="Disposed event handler" OnInit="Init event handler" OnLoad="Load event handler" OnPreRender="PreRender event handler" OnUnload="Unload event handler" OnValueChanged="ValueChanged event handler" runat="server" SkinID="string" Value="string" Visible="True|False" />`

Represents a hidden field used to store a non-displayed value.

- Constructor

  Use this constructor to create a new instance of a class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Web.UI.ControlCollection

  The method is normally used to create a object for storing the child controls of a Web Server control. In this implementation of the method, an collection is always returned to indicate that child controls are not allowed.

  Creates an object used to indicate that child controls are not allowed.

  Always returns an object.

  2.0.0.0
- Property
  System.Boolean To be added.

  The control does not support themes. This property has been overridden to always return false. If you attempt to set this property, a exception is thrown.

  Gets or sets a value indicating whether themes apply to this control.

  2.0.0.0
- Method
  System.Void

  Setting focus to a control is not supported. A is thrown if you attempt to call this method.

  Sets input focus to this control.

  2.0.0.0
- Method
  System.Boolean `` ``

  The Web Forms page framework tracks all the server controls that return true to this method call, then invokes the on those controls.

  Processes postback data for a control.

  true if the control's state changes as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values. 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Raises the event.

  An object that contains the event data.
- Method
  System.Void ``

  The event is raised when the value of the control changes between posts to the server. This allows you to provide an event-handling method that performs a custom routine whenever this event occurs.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An object that contains the event data. 2.0.0.0
- Method
  System.Void

  The method is a helper method used by the class to notify the ASP.NET application that the state of the control has changed.

  Notifies the ASP.NET application that the state of the control has changed.

  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method is used to render the server control content to the client's browser using the specified object.

  Renders the Web server control content to the client's browser using the specified object.

  The object used to render the server control content on the client's browser.
- Property
  System.String To be added.

  The control does not support themes. This property has been overridden to always return an empty string. If you attempt to set this property, a is thrown.

  Gets or sets the skin to apply to the control.

  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  true if the server control's state changes as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

- Property
  System.ComponentModel.Bindable(true)
  System.String To be added.

  Use the property to specify or determine the value of the control.

  Gets or sets the value of the hidden field.

  2.0.0.0
- Event
  System.EventHandler

  The event is raised when the value of the control changes between posts to the server. This allows you to provide an event-handling method that performs a custom routine whenever this event occurs.

  For more information about handling events, see Consuming Events.

  Occurs when the value of the control changes between posts to the server.

  2.0.0.0